#ifndef MYOGG_H
#define MYOGG_H

typedef OggVorbis_File ogg_t;

ogg_t* ogg_open(char *path);

int ogg_check_sig(char *path);

int ogg_close(ogg_t *file);

int ogg_streams(ogg_t *file);

int ogg_channels(ogg_t *file, int stream);
long ogg_sampleRate(ogg_t *file, int stream);
long ogg_samples(ogg_t *file, int stream);
long ogg_current_sample(ogg_t *file, int stream);
int ogg_set_sample(ogg_t *file, long sample, int stream);
int ogg_read_audio(ogg_t *file, short *output_i, long samples, int stream);


#endif